Seller payouts
List seller payout batches
Retrieves a paginated list of payout batches. Each entry is a SellerPayoutBatch summary carrying the OrderPayment transfers made against it, but without invoices or adjustments; retrieve a batch by id for the expanded SellerPayoutBatchDetail.
GET
/
orders
/
payouts
/
invoices
/
batches
List seller payout batches
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"message": "<string>",
"success": true,
"content": {
"payout_batches": [
{
"batch_number": "<string>",
"credit_adjustments": "<string>",
"debit_adjustments": "<string>",
"id": "<string>",
"include_shipping_in_payout": true,
"include_tax_in_payout": true,
"initiated_by": "system",
"initiated_by_user_id": "<string>",
"invoice_count": 123,
"marketplace_detail": {
"id": "01KVZ1TK3V1ZB8TK2V3E3G64FS",
"marketplace_type": "internal",
"name": "Davai Marketplace",
"slug": "davai-marketplace",
"store_id": "f7ul64jr3n"
},
"payment_gateway": "<string>",
"payment_gateway_reference_no": "<string>",
"payment_method": "<string>",
"payment_mode": "<string>",
"payment_option": "auto",
"payments": [
{
"transaction_type": "payment",
"request_number": "<string>",
"amount": "<string>",
"payment_status": "pending",
"payment_date": "2023-11-07T05:31:56Z",
"payment_success_date": "<string>",
"payment_reference_number": "<string>",
"payment_method": "Card",
"payment_mode": "<string>",
"icon_url": "<string>",
"card_number": "<string>",
"card_type": "Visa",
"bank_name": "<string>",
"bank_account_number": "<string>"
}
],
"period_end": "2023-11-07T05:31:56Z",
"period_start": "2023-11-07T05:31:56Z",
"remarks": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"seller_id": "<string>",
"seller_name": "<string>",
"status": "created",
"to_be_paid": "<string>",
"total_charges": "<string>",
"total_invoice_amount": "<string>",
"total_loyalty_point_redeemed": "<string>"
}
],
"pagination": {
"total_records": 123,
"total_pages": 123,
"previous_page": 123,
"limit": 25,
"next_page": 123
}
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"errors": {},
"content": {},
"details": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>",
"details": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>",
"details": "<string>",
"error_id": "<string>"
}Authorizations
Query Parameters
Was this page helpful?
⌘I
List seller payout batches
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"message": "<string>",
"success": true,
"content": {
"payout_batches": [
{
"batch_number": "<string>",
"credit_adjustments": "<string>",
"debit_adjustments": "<string>",
"id": "<string>",
"include_shipping_in_payout": true,
"include_tax_in_payout": true,
"initiated_by": "system",
"initiated_by_user_id": "<string>",
"invoice_count": 123,
"marketplace_detail": {
"id": "01KVZ1TK3V1ZB8TK2V3E3G64FS",
"marketplace_type": "internal",
"name": "Davai Marketplace",
"slug": "davai-marketplace",
"store_id": "f7ul64jr3n"
},
"payment_gateway": "<string>",
"payment_gateway_reference_no": "<string>",
"payment_method": "<string>",
"payment_mode": "<string>",
"payment_option": "auto",
"payments": [
{
"transaction_type": "payment",
"request_number": "<string>",
"amount": "<string>",
"payment_status": "pending",
"payment_date": "2023-11-07T05:31:56Z",
"payment_success_date": "<string>",
"payment_reference_number": "<string>",
"payment_method": "Card",
"payment_mode": "<string>",
"icon_url": "<string>",
"card_number": "<string>",
"card_type": "Visa",
"bank_name": "<string>",
"bank_account_number": "<string>"
}
],
"period_end": "2023-11-07T05:31:56Z",
"period_start": "2023-11-07T05:31:56Z",
"remarks": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"seller_id": "<string>",
"seller_name": "<string>",
"status": "created",
"to_be_paid": "<string>",
"total_charges": "<string>",
"total_invoice_amount": "<string>",
"total_loyalty_point_redeemed": "<string>"
}
],
"pagination": {
"total_records": 123,
"total_pages": 123,
"previous_page": 123,
"limit": 25,
"next_page": 123
}
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"errors": {},
"content": {},
"details": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>",
"details": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>",
"details": "<string>",
"error_id": "<string>"
}